{
  "name": "@nhsbsa/hce-search-orchestration-lambda",
  "version": "1.0.0",
  "engines": {
    "node": "20.x"
  },
  "outFiles": [
    "${workspaceFolder}/src/**"
  ],
  "description": "This lambda is used for searching existing active certificates (like PPC, LIS, Matex, HRT) for a Citizen.",
  "main": "dist/src/index.js",
  "scripts": {
    "preinstall": "node -e \"process.platform === 'darwin' && require('child_process').spawn('sh', ['./npm_scripts/install_pre_commit.sh'], { stdio: 'inherit'})\" && node -e \"process.platform === 'win32' && require('child_process').spawn('cmd.exe', ['/c','call npm_scripts/install_pre_commit.bat'], { stdio: 'inherit'})\"",
    "build": "rimraf ./dist && tsc",
    "start": "sam local invoke -t ./events/template.yaml -e ./events/event.json --env-vars ./events/env.json",
    "start-api": "sam local start-api -t ./events/template.yaml --env-vars ./events/env.json -p 8400",
    "start-api-debug": "sam local start-api -t ./events/template.yaml --env-vars ./events/env.json -p 8400 -d 5858",
    "test": "jest",
    "test:coverage": "jest --coverage",
    "validate": "npm run eslint && npm run audit && npm run test",
    "audit": "npm audit --omit=dev",
    "eslint": "eslint .",
    "eslint-fix": "eslint --fix .",
    "prepare": "npm run build"
  },
  "keywords": [],
  "author": "NHS Business services authority",
  "license": "Apache-2.0",
  "devDependencies": {
    "@nhsbsa/health-charge-exemption-npm-common-test": "^1.3.0",
    "jest": "^29.7.0",
    "ts-jest": "^29.2.5",
    "ts-node-dev": "^2.0.0"
  },
  "dependencies": {
    "@nhsbsa/health-charge-exemption-npm-common-models": "^1.4.0",
    "@nhsbsa/health-charge-exemption-npm-logging": "^3.5.0",
    "@nhsbsa/health-charge-exemption-npm-utils-rest": "^4.9.0",
    "@types/aws-lambda": "^8.10.146",
    "@types/jest": "^29.5.14",
    "@types/ramda": "^0.30.2",
    "@typescript-eslint/eslint-plugin": "^8.17.0",
    "@typescript-eslint/parser": "^8.17.0",
    "axios": "^1.7.9",
    "eslint": "^9.16.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-jest": "^28.9.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^5.2.1",
    "prettier": "^3.4.2",
    "ramda": "^0.30.1",
    "redactyl.js": "^1.6.0",
    "ts-node": "^10.9.2",
    "typescript": "^5.7.2"
  },
  "env": {
    "jest": true
  }
}
